# You can recompile this package with different names:
# rpmbuild --define='subname satrapa' -ba nagios-imagepak-base.spec
# or
# for i in base andrade bernhard cook didier remus satrapa werschler; do rpmbuild --define="subname $i" -ba nagios-imagepak-base.spec; done
#base, satrapa, didier

%if %{?subname:0}%{!?subname:1}
%define subname base
%endif

%define _missing_doc_files_terminate_build 0
%define _unpackaged_files_terminate_build 0

Name:           nagios-imagepak-%{subname}
Version:        20081112
Release:        1%{?dist}
Summary:        Nagios images: %{subname}

Group:          Applications/System
License:        GPLv2
URL:            http://www.nagios.org/
Source0:        http://downloads.sourceforge.net/nagios/imagepak-%{subname}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       nagios

%description
Logos for nagios monitoring system.


%prep
%setup -q -c


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/nagios/html/images/logos
touch $RPM_BUILD_ROOT%{_datadir}/nagios/html/images/logos/README
[ -d %{subname} ] && cd %{subname}
[ -d imagepak-%{subname} ] && cd imagepak-%{subname}
cp -a * $RPM_BUILD_ROOT%{_datadir}/nagios/html/images/logos/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc %{_datadir}/nagios/html/images/logos/README
%{_datadir}/nagios/html/images/logos/*.[gjp][dipnb][2fg]


%changelog
* Wed Nov 12 2008 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> - 20081112-1
- initial release
